__gnu_pbds::detail::select_value_type< Key, Mapped >(3cxx)

NAME
__gnu_pbds::detail::select_value_type< Key, Mapped > - Choose value_type to be a key/value pair or just a key.

SYNOPSIS

  Public Types

typedef std::pair< const Key, Mapped > type

Detailed Description

  template<typename Key, typename Mapped>
struct __gnu_pbds::detail::select_value_type< Key, Mapped >" Choose value_type to be a key/value pair or just a key.

Author

Generated automatically by Doxygen for libstdc++ from the source code.